# Create a new identity (v2) Create a new identity. Endpoint: POST /v2/identities Version: 2025.11 Security: Bearer ## Request fields (application/json): - `piiData` (object, required) PII data in JSON format. You must use the correct piiData schema for the type of identity you want to create. Note: Reach out to your Ripple liaison to get this schema. - `identityType` (string, required) The type of the identity Enum: "SENDER", "BENEFICIARY", "ORIGINATOR" - `nickName` (string) The nickname for the identity provided at the time of identity creation Example: "MyCompany" - `useCaseType` (string, required) Classification of the identity: • INDIVIDUAL - A natural person. • BUSINESS - A legal entity such as a company or institution. Enum: "INDIVIDUAL", "BUSINESS" ## Response 201 fields (application/json): - `identityId` (string, required) The unique ID of the identity Example: "2f4ac57f-c5ba-4051-b51f-b3565778717b" - `version` (integer, required) The version number of the identity Example: 2 ## Response 400 fields (application/json): - `status` (integer, required) The HTTP status code of the error Example: 404 - `errors` (array, required) - `errors.code` (string, required) Unique identifier of an error Example: "SYS_100" - `errors.title` (string, required) Error message providing a brief summary of the error Example: "No identity exists for identityId" - `errors.type` (string, required) Identifies the problem type Example: "USER_VALIDATION_ERROR" - `errors.description` (string, required) Provides more technical information Example: "Unable to get identity. Identity ID should be in UUID format" - `errors.timestamp` (string, required) The time when this error occurred, specified in UTC. Example: "2023-11-02T18:26:00.000123Z" - `timestamp` (string) The timestamp of the error Example: "2023-11-02T18:26:00.000Z" ## Response 500 fields (application/json): - `status` (integer, required) The HTTP status code of the error Example: 404 - `errors` (array, required) - `errors.code` (string, required) Unique identifier of an error Example: "SYS_100" - `errors.title` (string, required) Error message providing a brief summary of the error Example: "No identity exists for identityId" - `errors.type` (string, required) Identifies the problem type Example: "USER_VALIDATION_ERROR" - `errors.description` (string, required) Provides more technical information Example: "Unable to get identity. Identity ID should be in UUID format" - `errors.timestamp` (string, required) The time when this error occurred, specified in UTC. Example: "2023-11-02T18:26:00.000123Z" - `timestamp` (string) The timestamp of the error Example: "2023-11-02T18:26:00.000Z"